class VoterController < ApplicationController
  layout 'hc'
  model :voter
  model :vote
  model :election

  def index
    password = params[:id]
    password = params[:vote][:password] if params[:vote]
    if @voter = FullVoter.find_all( [ "password = ?", password ] )[0]
      render :action => 'fullvote'
    end
  end
  
  def review
    if authenticate
      # remove any existing votes and reload
      if @voter.vote
        @voter.vote.destroy
        @voter.reload
      end
    
      @vote = Vote.new
      @voter.vote = @vote
      @vote.votestring = params[:vote][:votestring] 
      @vote.save
    else
      redirect_to :action => 'index'
    end
  end

  def confirm
    if authenticate
      @voter.vote.confirm!
      render :action => 'thanks'
    else
      redirect_to :action => 'index'
    end
  end

  private
  def authenticate
    password = params[:id]
    @voter = FullVoter.find_all( [ "password = ?", password ] )[0]
  end
end

